Package net.shibboleth.idp.admin.impl

# Class DumpConfigRequest

java.lang.Object
net.shibboleth.idp.admin.impl.DumpConfigRequest

@ThreadSafe public class DumpConfigRequest extends Object
Object representing a request to mock a profile request to obtain the effective configuration.

Since:
  5.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`profileId`
Profile identifier to simulate a response for.
`private final String`
`protocolId`
Protocol identifier for metadata access.
`private final String`
`requesterId`
The ID of the requester.

## Constructor Summary

Constructors
Constructor
Description
`DumpConfigRequest(String profile, String protocol, String requester)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getProfileId()`
Get the profile to simulate.
`String`
`getProtocolId()`
Get the protocol for metadata access.
`String`
`getRequesterId()`
Get the ID of the requesting relying party.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### profileId

@Nonnull @NotEmpty private final String profileId
Profile identifier to simulate a response for.

### protocolId

@Nonnull @NotEmpty private final String protocolId
Protocol identifier for metadata access.

### requesterId

@Nonnull @NotEmpty private final String requesterId
The ID of the requester.

## Constructor Details

### DumpConfigRequest

public DumpConfigRequest(@Nonnull String profile, @Nonnull String protocol, @Nonnull String requester)
Constructor.

Parameters:
  `profile` - profile ID
  `protocol` - protocol ID for metadata access
  `requester` - ID of requester

## Method Details

### getProfileId

@Nonnull @NotEmpty public String getProfileId()
Get the profile to simulate.

Returns:
  profile ID to simulate

### getProtocolId

@Nonnull @NotEmpty public String getProtocolId()
Get the protocol for metadata access.

Returns:
  protocol for metadata access

### getRequesterId

@Nonnull @NotEmpty public String getRequesterId()
Get the ID of the requesting relying party.

Returns:
  ID of the requesting relying party

### toString

public String toString()

Overrides:
  `toString` in class `Object`